<!-- https://v7.material.angular.io/components/table/examples -->


<div>
  <h1 style="text-decoration: underline">Employees</h1>

  <table mat-table [dataSource]="this.pageService.employeeList" class="mat-elevation-z8">

    <ng-container matColumnDef="_id">
      <th mat-header-cell *matHeaderCellDef> ID </th>
      <td mat-cell *matCellDef="let element"> {{element._id}} </td>
    </ng-container>

    <ng-container matColumnDef="firstname">
      <th mat-header-cell *matHeaderCellDef> First name </th>
      <td mat-cell *matCellDef="let element"> {{element.firstname}} </td>
    </ng-container>

    <ng-container matColumnDef="lastname">
      <th mat-header-cell *matHeaderCellDef> Last name </th>
      <td mat-cell *matCellDef="let element"> {{element.lastname}} </td>
    </ng-container>

    <ng-container matColumnDef="department">
      <th mat-header-cell *matHeaderCellDef> Department </th>
      <td mat-cell *matCellDef="let element"> {{element.department}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="this.selectUser(row)" class="example-selectable-row"></tr>
  </table>
</div>
